Name:          timidity
Version:       2.13.2
Release:       5mamba
Summary:       A software synthesizer that can play MIDI files by converting them into PCM waveform data
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://timidity.sourceforge.net
Source:        http://downloads.sourceforge.net/sourceforge/timidity/TiMidity++-%{version}.tar.bz2
Source1:       http://timidity.s11.xrea.com/files/timidity-cfgp.zip
Source2:       timidity-config
Source3:       timidity-fluid3-config
Source4:       timidity-default
Source5:       timidity-icon.png
Patch0:        %{name}-2.13.2-flac.patch
Patch1:        %{name}-2.13.2-gcc4.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libao-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libflac-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libICE-devel
BuildRequires: libjack-devel
BuildRequires: libncurses-devel
BuildRequires: libogg-devel
BuildRequires: libpango-devel
BuildRequires: libSM-devel
BuildRequires: libspeex-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: soundfont-2rock9
BuildRequires: Xaw3d-devel
## AUTOBUILDREQ-END
BuildRequires: libspeex-devel
BuildRequires: libglitz-devel >= 0.4.4
BuildRequires: Xaw3d-devel
BuildRequires: libao-devel
BuildRequires: libXaw-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      soundfont-2rock9
Provides:      TiMidity++ = %{version}
Obsoletes:     TiMidity++

%description
TiMidity++ is a software synthesizer.
It can play MIDI files by converting them into PCM waveform data; give it a MIDI data along with digital instrument data files, then it synthesizes them in  real-time, and plays.
It can not only play sounds, but also can save the generated waveforms into hard disks as various audio file formats.

%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -n TiMidity++-%{version}
%patch0 -p1
%patch1 -p3

%build
%configure \
   --with-default-path=%{_sysconfdir}/timidity \
   --enable-audio=alsa,jack,oss,vorbis,flac,ao,speex \
   --enable-dynamic=ncurses,alsaseq \
   --enable-ncurses \
   --enable-xaw \
   --enable-gtk \
   --with-includes \
   --with-default-output=alsa \
   --enable-spectrogram \
   --x-includes=%{_includedir}/speex

%make
unzip %{SOURCE1}

%install
%makeinstall
mkdir -p %{buildroot}%{_sysconfdir}/timidity/cfg
cp cfgs/* %{buildroot}%{_sysconfdir}/timidity/cfg
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/timidity/timidity.cfg
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/timidity/timidity-fluid3.cfg
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/timidity/cfg/default.cfg
install -D -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/timidity.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/timidity.desktop << _EOF
[Desktop Entry]
Name=TiMidity++
Name[de]=TiMidity++
Icon=timidity
Exec=timidity -igt
Commment=A midi to wav converter and midi file player
Commment[it]=Un convertitore da midi a wav converter ed un player midi
Commment[de]=Ein Midi-zu-Wav-Konverter und Midi-Player
GenericName=midi file player
GenericName[it]=player di file midi
GenericName[de]=Midi-Player
Terminal=false
Type=Application
Categories=Application;AudioVideo;Player;
MimeType=audio/x-midi
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/timidity
%dir %{_sysconfdir}/timidity/cfg
%{_sysconfdir}/timidity/cfg/*
%config(noreplace) %{_sysconfdir}/timidity/timidity.cfg
%{_sysconfdir}/timidity/timidity-fluid3.cfg
%{_bindir}/timidity
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_prefix}/lib/timidity
%{_prefix}/lib/timidity/*
%{_datadir}/applications/timidity.desktop
%{_datadir}/pixmaps/timidity.png

%changelog
* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.13.2-5mamba
- automatic rebuild by autodist

* Sun Jan 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.2-4mamba
- added desktop menu entry icon

* Fri Jul 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.2-3mamba
- enabled xaw interface; dropped arts and libOssFLAC support

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.2-2mamba
- specfile updated

* Thu Dec 29 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.2-1qilnx
- update to version 2.13.2 by autospec
- jack support added
- added default configuration

* Fri Apr 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.0-1qilnx
- first build
